# RPM specfile for libogg module
# Generated Mon Mar 25 22:35:04 2002 GMT by Ximian build system
# $Id: bb_do,v 1.179 2002/03/15 23:19:54 thunder Exp $
# from $Id: ximian-build.conf,v 1.30 2002/03/19 21:51:12 dobey Exp $

%define nam	libogg
%define ver	1.0
%define ximrev	4

Name:     	libogg0
Version: 	1.0
Release:	0.rc3.1.ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.xiph.org/
Source0:	libogg-1.0rc3.tar.gz
Patch0:		libogg-remove-debdir.patch
Summary:	Ogg Bitstream Library
Group:		Libraries/Multimedia
Provides:	libogg
Provides:	ximian-libogg0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	oggvorbis

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%files
%defattr(-, root, root)
/usr/lib/libogg.so.*
/usr/share/doc/libogg-1.0*/*


%post
ldconfig

%package -n libogg0-devel
Summary:	Ogg Bitstream Library Development
Group:		Development/Libraries
Requires:	%{nam} = %{ver}
Provides:	libogg-devel = %{PACKAGE_VERSION}
Provides:	ximian-libogg0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	oggvorbis-devel

%description -n libogg0-devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%files -n libogg0-devel
%defattr(-, root, root)
/usr/include/ogg/ogg.h
/usr/include/ogg/os_types.h
/usr/include/ogg/config_types.h
/usr/lib/libogg.a
/usr/lib/libogg.so
/usr/lib/libogg.la
/usr/share/aclocal/ogg.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libogg-1.0rc3
    ;;
all)
%setup  -q -n libogg-1.0rc3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Mar 25 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.4
- Summary: New build.
- New automated build.

* Fri Mar 15 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.4
- Summary: New build.
- New automated build.

